<?php
/**
* @version		$Id: usergroup.php 10381 2008-06-01 03:35:53Z pasamio $
* @package		Joomla.Framework
* @subpackage	Parameter
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

/**
 * Renders a editors element
 *
 * @package 	Joomla.Framework
 * @subpackage		Parameter
 * @since		1.5
 */

class JElementJFormsStoragePlugins extends JElement
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	var	$_name = 'JFormsStoragePlugins';

	function fetchElement($name, $value, &$node, $control_name)
	{

		$pManager =& JFormsGetPluginManager();
		$pManager->loadPlugins('storage');
		$value = explode(',', $value);
		
		//Force Database to be enabled
		if( !in_array( 'Database', $value )){
			array_push( $value, 'Database' ); 
		}
		

		$attribs	= ' ';
		$attribs	.= 'class="inputbox" style="width:150px;height:90px;"';
		$attribs	.= 'multiple="multiple"';
		$ctrl	     = $control_name .'['. $name .']';
		$ctrl		.= '[]';

		return JHTML::_('select.genericlist',   $pManager->settings['storage'] , $ctrl, $attribs, 'name', 'name', $value, $control_name.$name );
	}
}
